package com.ruoyi.doubledefense.dto.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.doubledefense.dto.DeviceDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 设备设施对象 tb_device
 * 
 * @author ruoyi
 * @date 2023-08-03
 */
@ApiModel("设备设施出参实体")
public class DeviceResultDTO extends DeviceDTO
{
    private static final long serialVersionUID = 1L;

    /** 所属部门ID */
    @ApiModelProperty("所属部门名称")
    @Excel(name = "所属部门名称")
    private String deptName;

    /** 区域ID */
    @ApiModelProperty("区域名称")
    @Excel(name = "区域名称")
    private String areaName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }
}
